WP6NumberingMethodGroup Class Reference documentation

Public Member Functions | Private Attributes | List of all members
WP6NumberingMethodGroup Class Reference

`#include <WP6NumberingMethodGroup.h>`

Inheritance diagram for WP6NumberingMethodGroup:

## Public Member Functions
| WP6NumberingMethodGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP6NumberingMethodGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Attributes
unsigned char | m_levelNumber
unsigned char | m_numberingMethod

## Additional Inherited Members
Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

## ◆ WP6NumberingMethodGroup()

WP6NumberingMethodGroup::WP6NumberingMethodGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## ◆ ~WP6NumberingMethodGroup()

WP6NumberingMethodGroup::~WP6NumberingMethodGroup | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP6NumberingMethodGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| overridevirtual

Reimplemented from WP6VariableLengthGroup.

## ◆ parse()

void WP6NumberingMethodGroup::parse | ( | WP6Listener * | listener | ) |
| overridevirtual

Implements WP6Part.

## Member Data Documentation

## ◆ m_levelNumber

unsigned char WP6NumberingMethodGroup::m_levelNumber
| private

Referenced by _readContents().

## ◆ m_numberingMethod

unsigned char WP6NumberingMethodGroup::m_numberingMethod
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP6NumberingMethodGroup.h
- WP6NumberingMethodGroup.cpp